Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156007 - Java Script debugger crash Mozilla (latest update: 1.7.7-1.3.1)
Summary: Java Script debugger crash Mozilla (latest update: 1.7.7-1.3.1)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 16:15 UTC by William Lovaton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-07 00:05:56 UTC


Attachments (Terms of Use)
from gdb (deleted)
2005-04-26 16:24 UTC, William Lovaton
no flags Details

Description William Lovaton 2005-04-26 16:15:55 UTC
I use Fedora Core 3 with the latest official updates in my office's workstation.
 The last yum update of Mozilla (1.7.7-1.3.1) crash when launching the
JavaScript debugger.

To reproduce, just start mozilla, select Tools -> Web Development -> Java Script
Debugger.  Mozilla crashes the second after the debugger is shown.

I have the following mozilla packages:
mozilla-nss-1.7.7-1.3.1
mozilla-nspr-1.7.7-1.3.1
mozilla-1.7.7-1.3.1
mozilla-js-debugger-1.7.7-1.3.1

To date, the only pending updates are, according to yum check-update, the following:
ImageMagick.i386                        6.2.2.0-1.fc3          updates-released
dia.i386                                1:0.94-5.fc3           updates-released
kdegames.i386                           6:3.3.1-1              updates-released
logwatch.noarch                         5.2.2-1.FC3.1          updates-released
net-snmp.i386                           5.2.1-10.FC3           updates-released
net-snmp-libs.i386                      5.2.1-10.FC3           updates-released

I'll post a backtrace later.

Comment 1 William Lovaton 2005-04-26 16:24:14 UTC
Created attachment 113675 [details]
from gdb

I know that backtraces on stripped binaries are kind of useless but anyway...

To get mozilla running with gdb I exported LD_PRELOAD=
/usr/lib/mozilla-1.7.7/libmozjs.so and that was all.  The rest is in the
attachment.

Comment 2 William Lovaton 2006-01-07 00:05:56 UTC
Very old bug... it now works with the latest version for FC3


Note You need to log in before you can comment on or make changes to this bug.